# std::tr1::__is_base_of_helper< _Base, _Derived, > Struct Template Reference

Inheritance diagram for std::tr1::__is_base_of_helper< _Base, _Derived, >:

List of all members.

## Detailed Description

### template<typename _Base, typename _Derived, bool = (!__is_union_or_class<_Base>::value || !__is_union_or_class<_Derived>::value || is_same<_Base, _Derived>::value)>
struct std::tr1::__is_base_of_helper< _Base, _Derived, >

Definition at line 439 of file type_traits.

## Public Types

- typedef char __one

## Static Public Attributes

- static const bool __value

The documentation for this struct was generated from the following file:

- type_traits